# epidemiological-model

This code is inspired by _Epidemiological monitoring and control perspectives:
application of a parsimonious modelling framework to
the COVID-19 dynamics in France_ ([Sofonea et al., 2020](https://hal.archives-ouvertes.fr/hal-02619546/document "Source article"))

For more details about the parameters chosen for this code, please refer to [this page](https://fr.overleaf.com/read/nctkzdbvscbm
 "overleaf notes").

TODO: create ReadMe

Command line example for local execution of the python script : 

```
> python ./execute.py 2.24 5.42 2.99 3.6 16.1 0.059880239520958084 0.15082956259426847 0.0006895 0.01434299 0.06407823 0.93571031 0.78005851 0.45428828 0.051 0.073 0.194 3 0 0 0 0 0 19980000 33730000 13180000 196 57 0.71 112 0.91
```

To create the archive : 
```
> chmod +x epidemiological-model/execute.py
> chmod +x epidemiological-model/run.sh
> tar --exclude='epidemiological-model/images' --exclude='epidemiological-model/sim_results_D.png' --exclude='epidemiological-model/sim_results_HW.png' --exclude='epidemiological-model/sim_results_JY.png' --exclude='epidemiological-model/images/sim_results_SR.png' --exclude='epidemiological-model/sim_results_SR.png' --exclude='epidemiological-model/model/__pycache__' --exclude='epidemiological-model/.idea' --exclude='epidemiological-model/.gitignore' --exclude='epidemiological-model/.git' --exclude='epidemiological-model/epidemiological-model' --exclude='epidemiological-model/analysis/__pycache__' --exclude='epidemiological-model/.DS_Store' -czvf epidemiological-model.tar.gz epidemiological-model
```

Then SCP the tar ball